Bug 716174 - FTBFS perl-OpenFrame-3.05-13.fc15
Summary: FTBFS perl-OpenFrame-3.05-13.fc15
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-OpenFrame
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F16FTBFS
TreeView+ depends on / blocked
 
Reported: 2011-06-23 16:29 UTC by FTBFS
Modified: 2012-07-06 20:07 UTC (History)
4 users (show)

Fixed In Version: perl-OpenFrame-3.05-16.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-06 20:07:14 UTC


Attachments (Terms of Use)
root.log (123.00 KB, text/plain)
2011-06-23 16:29 UTC, FTBFS
no flags Details
build.log (9.68 KB, text/plain)
2011-06-23 16:29 UTC, FTBFS
no flags Details
mock.log (1.23 KB, text/plain)
2011-06-23 16:30 UTC, FTBFS
no flags Details
root.log (149.44 KB, text/plain)
2011-06-23 16:30 UTC, FTBFS
no flags Details
build.log (9.76 KB, text/plain)
2011-06-23 16:30 UTC, FTBFS
no flags Details
mock.log (1.24 KB, text/plain)
2011-06-23 16:30 UTC, FTBFS
no flags Details
fix (2.98 KB, patch)
2011-06-24 13:30 UTC, Petr Pisar
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
CPAN 69077 None None None Never

Description FTBFS 2011-06-23 16:29:54 UTC
perl-OpenFrame-3.05-13.fc15.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2011-06-23 16:29:57 UTC
Created attachment 509321 [details]
root.log


root.log for i386

Comment 2 FTBFS 2011-06-23 16:29:59 UTC
Created attachment 509322 [details]
build.log


build.log for i386

Comment 3 FTBFS 2011-06-23 16:30:00 UTC
Created attachment 509323 [details]
mock.log


mock.log for i386

Comment 4 FTBFS 2011-06-23 16:30:01 UTC
Created attachment 509324 [details]
root.log


root.log for x86_64

Comment 5 FTBFS 2011-06-23 16:30:03 UTC
Created attachment 509325 [details]
build.log


build.log for x86_64

Comment 6 FTBFS 2011-06-23 16:30:04 UTC
Created attachment 509326 [details]
mock.log


mock.log for x86_64

Comment 7 Petr Pisar 2011-06-24 12:36:17 UTC
Tests fail:

Can't call method "name" on an undefined value at /builddir/build/BUILD/OpenFrame-3.05/blib/lib/OpenFrame/Cookies.pm line 47.
# Looks like you planned 15 tests but ran 2.
# Looks like your test exited with 255 just after 2.
t/01request.t ....... 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 13/15 subtests 
no_plan takes no arguments at t/02http_request.t line 10.
[OpenFrame::Segment::HTTP::Response::OpenFrame::Segment::HTTP::Response::dispatch] no response available at /usr/share/perl5/vendor_perl/Pipeline/Dispatch.pm line 74
t/02http_request.t .. ok
t/03argument.t ...... ok
Can't call method "name" on an undefined value at /builddir/build/BUILD/OpenFrame-3.05/blib/lib/OpenFrame/Cookies.pm line 47.
# Looks like you planned 20 tests but ran 2.
# Looks like your test exited with 255 just after 2.
t/04response.t ...... 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 18/20 subtests 

This happens when tests do:

  ok($cookie = OpenFrame::Cookies->new(), "created cookietin okay");
  ok($cookie->set(colour => "red"), "set cookie okay");

Because $cookie->set() does:

  my $cookie = OpenFrame::Cookie->new();
  $cookie->name( $key );

and that fails because OpenFrame::Cookie->new() returns undef,

OpenFrame::Cookie is ISA of CGI::Cookie and CGI::Cookie->new() returns undef.

Seems like bug in CGI::Cookie, that is provided with perl-CGI.

Last successful build was against 0:perl-CGI-3.50-2.fc15.noarch.

Comment 8 Petr Pisar 2011-06-24 12:42:02 UTC
Fist incompatatible CGI::Cookie version is perl-CGI-3.51-1.fc15.noarch.

Comment 9 Petr Pisar 2011-06-24 12:59:15 UTC
It's a feature according to CGI-3.51 changelog:

Version 3.51, Jan 5, 2011
  [BUG FIXES]
  - CGI::Cookie->new() now follows the documentation and returns undef 
    if the -name and -value args aren't provided. This new behavior is also
    consistent with the docs and code of CGI::Simple::Cookie. (Mark Stosberg)

Thus this is bug in OpenFrame when constructing CGI::Cookie (parented) objects.

Comment 10 Petr Pisar 2011-06-24 13:30:35 UTC
Created attachment 509759 [details]
fix

Comment 11 Petr Pisar 2011-06-24 13:39:57 UTC
As we have CGI 3.51 in all Fedoras, this bug affects all Fedoras.

Comment 12 Marcela Mašláňová 2011-06-24 13:55:15 UTC
Applied in git.


Note You need to log in before you can comment on or make changes to this bug.